This class will demonstrate how to create many elements via batch creation methods
Esempio n. 1
0
 /// <summary>
 /// Implement this method as an external command for Revit.
 /// </summary>
 /// <param name="cmdData">An object that is passed to the external application
 /// which contains data related to the command,
 /// such as the application object and active view.</param>
 /// <param name="msg">A message that can be set by the external application
 /// which will be displayed if a failure or cancellation is returned by
 /// the external command.</param>
 /// <param name="eleSet">A set of elements to which the external application
 /// can add elements that are to be highlighted in case of failure or cancellation.</param>
 /// <returns>Return the status of the external command.
 /// A result of Succeeded means that the API external method functioned as expected.
 /// Cancelled can be used to signify that the user cancelled the external operation
 /// at some point. Failure should be returned if the application is unable to proceed with
 /// the operation.</returns>
 public Autodesk.Revit.UI.Result Execute(ExternalCommandData cmdData, ref string msg, ElementSet eleSet)
 {
     Autodesk.Revit.UI.Result res = Autodesk.Revit.UI.Result.Succeeded;
     try
     {
         ElementsBatchCreation elementsBatchCreation = new ElementsBatchCreation(cmdData);
         elementsBatchCreation.CreateElements();
     }
     catch (Exception)
     {
         msg = "Batch creation failed";
         res = Autodesk.Revit.UI.Result.Failed;
     }
     return(res);
 }
Esempio n. 2
0
 /// <summary>
 /// Implement this method as an external command for Revit.
 /// </summary>
 /// <param name="cmdData">An object that is passed to the external application 
 /// which contains data related to the command, 
 /// such as the application object and active view.</param>
 /// <param name="msg">A message that can be set by the external application 
 /// which will be displayed if a failure or cancellation is returned by 
 /// the external command.</param>
 /// <param name="eleSet">A set of elements to which the external application 
 /// can add elements that are to be highlighted in case of failure or cancellation.</param>
 /// <returns>Return the status of the external command. 
 /// A result of Succeeded means that the API external method functioned as expected. 
 /// Cancelled can be used to signify that the user cancelled the external operation 
 /// at some point. Failure should be returned if the application is unable to proceed with 
 /// the operation.</returns>
 public Autodesk.Revit.UI.Result Execute(ExternalCommandData cmdData, ref string msg, ElementSet eleSet)
 {
     Autodesk.Revit.UI.Result res = Autodesk.Revit.UI.Result.Succeeded;
     try
     {
         ElementsBatchCreation elementsBatchCreation = new ElementsBatchCreation(cmdData);
         elementsBatchCreation.CreateElements();
     }
     catch (Exception)
     {
         msg = "Batch creation failed";
         res = Autodesk.Revit.UI.Result.Failed;
     }
     return res;
 }